List IP whitelist
curl --request GET \
--url https://api.convexity.tools/v1/projects/ip-whitelist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/projects/ip-whitelist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/projects/ip-whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Whitelisted IPs retrieved successfully",
"data": [
{
"id": "665f0a1b2c3d4e5f60123abc",
"projectId": "66f0a1b2c3d4e5f601234567",
"ipAddress": "203.0.113.10",
"label": "Production server",
"createdBy": "42",
"createdAt": "2026-06-20T10:00:00.000Z",
"updatedAt": "2026-06-20T10:00:00.000Z"
}
]
}{
"status": false,
"message": "Project context required: call this endpoint with a project API key."
}Projects
List IP whitelist
Returns the IP addresses allowed to call the project with its API key. Call with a project API key.
GET
/
v1
/
projects
/
ip-whitelist
List IP whitelist
curl --request GET \
--url https://api.convexity.tools/v1/projects/ip-whitelist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/projects/ip-whitelist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/projects/ip-whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Whitelisted IPs retrieved successfully",
"data": [
{
"id": "665f0a1b2c3d4e5f60123abc",
"projectId": "66f0a1b2c3d4e5f601234567",
"ipAddress": "203.0.113.10",
"label": "Production server",
"createdBy": "42",
"createdAt": "2026-06-20T10:00:00.000Z",
"updatedAt": "2026-06-20T10:00:00.000Z"
}
]
}{
"status": false,
"message": "Project context required: call this endpoint with a project API key."
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Response
OK
The response is of type object.
⌘I
